<% if (subjects.length === 0) { %>
    <p>The timetable is empty!</p>
<% } else { %>
    <table class="table">
        <thead class="table-dark">
        <tr>
            <th scope="col">Day</th>
            <th scope="col">Hours</th>
            <th scope="col">Subject</th>
            <th scope="col">Teacher</th>
            <% if (payload.userRole == 1) { %>
                <th scope="col">Delete</th>
            <% } %>
        </tr>
        </thead>
        <tbody>
            <% subjects.forEach(subject => { %>
                <% switch (subject.appropriate) {
                    case 0: %>
                    <tr class="bg-danger text-white">
                    <% break;
                    case 1: %>
                    <tr class="bg-success text-white">
                    <% break;
                    default: %>
                    <tr>
                    <% break;
                } %>
                        <% switch (subject.day) {
                            case 1: %>
                            <td>Monday</td>
                            <% break;
                            case 2: %>
                            <td>Tuesday</td>
                            <% break;
                            case 3: %>
                            <td>Wednesday</td>
                            <% break;
                            case 4: %>
                            <td>Thursday</td>
                            <% break;
                            default: %>
                            <td>Friday</td>
                            <% break;
                        } %>

                        <td><%= subject.hour %>:00-<%= subject.hour+2  %>:00</td>
                        <td><%= subject.subjectid %> </td>
                        <td><%= subject.username %> </td>
                        <% if (payload.userRole == 1 && subject.appropriate != 1 && subject.appropriate != 0) { %>
                            <td><input class='btn btn-danger' onclick="deleteFromTimetable(event, '<%= subject.timetableId %>')" type='button' value='Delete'></td>
                        <% } else { %>
                            <% if(payload.userRole == 1) { %>
                                <td></td>
                            <% } %>
                        <% } %>

                    </tr>
            <% }) %>
        </tbody>
    </table>
<% } %>